/* rad.c */

#include <stdio.h>
#include <math.h>

#include "pull.h"

/*
 * SVID & X/Open
 */
#define	M_E		2.7182818284590452354
#define	M_LOG2E		1.4426950408889634074
#define	M_LOG10E	0.43429448190325182765
#define	M_LN2		0.69314718055994530942
#define	M_LN10		2.30258509299404568402
#define	M_PI		3.14159265358979323846
#define	M_PI_2		1.57079632679489661923
#define	M_PI_4		0.78539816339744830962
#define	M_1_PI		0.31830988618379067154
#define	M_2_PI		0.63661977236758134308
#define	M_2_SQRTPI	1.12837916709551257390
#define	M_SQRT2		1.41421356237309504880
#define	M_SQRT1_2	0.70710678118654752440

/*
 * precompute conversion constants
 * from degrees to cartesian coordinates.
 *
 * To compute x,y, just multiply radius
 * times the constant.
 */

void rad1( void )
{
  int i,j;
  int    imax;
  double dmax;
  double dval = 0.0;
  double dk;

  char c;
  int v_cnt;
  int v;

  dk = (double)PULL_MAX * 2.0 / M_PI;
  imax = PULL_MAX;

  printf("#include \"pull.h\"\n");
  printf("\n");

  printf("double dk_const = %3.16f;\n",
	 dk);
  printf("\n");

  printf("double pull[PULL_MAX] = {\n");

  for ( v = 1, j = 0, i = 0 ; i < imax ; i++ ) {
    printf("  %f%c /* %d */\n",
	   v == -1 ? (double)-0.5 : (double)1.0,
	   i == imax-1 ? ' ' : ',',
	   i);
    if ( ++j == 1 ) {
      v *= -1;
      j = 0;
    }

  }
  printf("  };\n");
  printf("\n");

  printf("#include \"pull1.c\"\n");
}

int main()
{
  rad1();
  return 0;
}
